Bug 1176752 - Color configuration disregarded
Summary: Color configuration disregarded
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: konsole
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 03:52 UTC by Orcan Ogetbil
Modified: 2015-12-02 16:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 06:22:24 UTC


Attachments (Terms of Use)

Description Orcan Ogetbil 2014-12-23 03:52:38 UTC
The color settings in Settings->Edit Current
Profile->Appearance->Edit... are ineffective in Konsole. No matter
what I change the individual colors to, my Konsole colors stay the
same.

I found that the problem lies in /etc/profile.d/256term.sh, which
checks for the existence of the environment variable
KONSOLE_DBUS_SESSION and, in its presence, sets TERM=xterm-256color. This file belongs to the initscripts package.

When TERM is "xterm-256color", the Konsole color configuration is disregarded. I
tweaked the /etc/profile.d/256term.sh file. After changing
   local256="$COLORTERM$XTERM_VERSION$ROXTERM_ID$KONSOLE_DBUS_SESSION"
to
   local256="$COLORTERM$XTERM_VERSION$ROXTERM_ID"
the TERM remains the standard "xterm", and now I can change my Konsole colors through the configuration dialog.

I am not sure whether my workaround has undesired side-effects. I did not observe any.

I see that this file was added around F-18, bug #845583. Since Konsole does not
support the 256 colors (at least the configuration dialog does not support it), do we really need TERM=xterm-256color for Konsole?

Comment 1 Rex Dieter 2014-12-23 15:04:33 UTC
I cannot reproduce, my colors change when selecting different color schemes fine.

Comment 2 Orcan Ogetbil 2014-12-24 06:01:15 UTC
Hi Rex, I think I wasn't entirely clear.

The problem is not with switching color schemes.

The problem is with altering individual colors inside a color scheme, like tuning the dark green a little lighter.

Comment 3 Rex Dieter 2014-12-26 16:42:35 UTC
I tested both cases both color scheme and changing individual colors (background color in particular)

Comment 4 Orcan Ogetbil 2014-12-26 22:33:46 UTC
I confirm that changing the background color works. 

However, changing the other colors, e.g. Color 5 does not work. Can you check this?

Comment 5 Orcan Ogetbil 2014-12-28 05:20:26 UTC
Here are the exact steps to reproduce the bug. 100% reproducible:

1- Open Konsole. Verify that 
    $ echo $TERM
    xterm-256color
2- Observe the blue colors of the directory names when you do
    $ ls -l /
3- Go to Settings->Edit Current Profile->Appearance Tab
4- Click on the button Edit...
5- Click on the blue box that is directly to the right of the box called Color 5.
6- Make the color lighter, to the extent that you can tell the difference. You can drag the center vertical control upwards to achieve this.
7- Click OK. Click Apply. Click OK. Click OK. All the configuration windows should be closed now.
8- Look at the terminal output. You should still have the "ls -l /" output on screen. Note that the blue color of the directories has NOT changed!
9- Edit /etc/profile.d/256term.sh file via root. Change
   local256="$COLORTERM$XTERM_VERSION$ROXTERM_ID$KONSOLE_DBUS_SESSION"
to
   local256="$COLORTERM$XTERM_VERSION$ROXTERM_ID"
Save the file.
10- Open a new tab in Konsole.
11- Verify that
    $ echo $TERM
    xterm
12- Repeat steps 2-7 exactly.
13- Look at the terminal output. You should still have the "ls -l /" output on screen. The blue color of the directories have now changed to the blue you set on step 6.


I hope this clears things up :)

Comment 6 Fedora End Of Life 2015-11-04 11:10:17 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-12-02 06:22:29 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.